Apple Push Notification for Ruby

最近需要用到apple的push notification service

以前是用apns for Rails,不過這東西已經不支援Rails 3了
(再度證明,這種應該以library方式存在的東西沒事搞成plugin根本是自找麻煩)

搜尋了一下找到apns4r,不過裡面的code有點亂,也會撞到Ruby 1.9沒有把’.’放進load path的問題。

稍微修了一些Syntax Error(…)跟改用require_relative之後看起來是能用了,
暫時先丟在https://github.com/poga/Apns4r

Advertisements